Summary: The GNU Bourne Again shell (bash).
Name: bash
Version: 1.14.7
Release: 16
Group: System Environment/Shells
Copyright: GPL
Source0: ftp://prep.ai.mit.edu/pub/gnu/bash-1.14.7.tar.gz
Source1: bashrc
Patch0: ftp.azstarnet.com:/pub/linux/axp/misc/bash-1.14.5.patch.gz
Patch1: bash-1.14.6.sparc.patch
Patch2: ftp.azstarnet.com:/pub/linux/axp/misc/bash-1.14.6-rh3.0.3-glibc.patch.gz
Patch3: bash-1.14.7-paths.patch
Patch4: bash-1.14.7-security.patch
Patch5: bash-1.14.7-mips.patch
Patch6: bash-1.14.7-signal.patch
Patch7: bash-1.14.7-winsz.patch
Patch8: bash-1.14.7-race.patch
Patch9: bash-1.14.7-secfix.patch
Patch10: bash-1.14.7-hist.patch
Requires: mktemp
Buildroot: /var/tmp/bash-root

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and 
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

Bash is the default shell for Red Hat Linux. You should install
bash because of its popularity and power. You'll probably end up
using it.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1 -b .secfix
%patch10 -p1 -b .hist

%build
make "CFLAGS=-g" prefix=/usr CC=gcc CPPNAME='$(CC) -E'
strip bash

%install
make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/bin $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/usr/bin/bash $RPM_BUILD_ROOT/bin/bash
rm -f $RPM_BUILD_ROOT/usr/bin/installed-bash
gzip -9nf $RPM_BUILD_ROOT/usr/info/bash.info
rm -f $RPM_BUILD_ROOT/usr/bin/bash.old
install -m644 $RPM_SOURCE_DIR/bashrc $RPM_BUILD_ROOT/etc/bashrc
ln -sf bash.1 $RPM_BUILD_ROOT/usr/man/man1/sh.1
ln -sf bash $RPM_BUILD_ROOT/bin/sh

%clean
rm -rf $RPM_BUILD_ROOT

# ***** bash doesn't use install-info. It's always listed in /usr/info/dir
# to prevent prereq loops

%post

HASBASH=""
HASSH=""

if [ ! -f /etc/shells ]; then
	> /etc/shells
fi

(while read line ; do
	if [ $line = /bin/bash ]; then
		HASBASH=1
	elif [ $line = /bin/sh ]; then
		HASSH=1
	fi
 done

 if [ -z "$HASBASH" ]; then
	echo "/bin/bash" >> /etc/shells
 fi

 if [ -z "$HASSH" ]; then
	echo "/bin/sh" >> /etc/shells
fi) < /etc/shells

%files
%defattr(-,root,root)
%doc NEWS README RELEASE
%config /etc/bashrc
/bin/bash
/bin/sh
/usr/info/bash.info.gz
/usr/man/man1/bash.1
/usr/man/man1/sh.1
/usr/bin/bashbug

%changelog
* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binary
- remove 'which' alias from /etc/bashrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 15)

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binary again

* Wed Oct 07 1998 Michael K. Johnson <johnsonm@redhat.com>
- history privacy fix (.hist)

* Sun Sep 06 1998 Cristian Gafton <gafton@redhat.com>
- security patch fix

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to enable TIOCWINSZ support in the readline lib
- patch for temp race on bashbug

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- rewrote %pre to not use grep anymore
- added %defattr line so package can be built as a user

* Thu Aug 06 1998 Erik Troan <ewt@redhat.com>
- removed %post; if they remove bash, they have bigger problems then extra
  /etc/shells entries! This makes the perreq loops easier to deal with

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Donnie Barnes <djb@redhat.com>
- added signal handling patch from Dean Gaudet <dgaudet@arctic.org> that
  is based on a change made in bash 2.0.  Should fix some early exit
  problems with suspends and fg.

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- added %clean

* Mon Oct 20 1997 Erik Troan <ewt@redhat.com>
- added comment explaining why install-info isn't used
- added mips patch 

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added BuildRoot

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

